/* application source */
var canvas = document.getElementById("skeletonsCanvas");
var context = canvas.getContext("2d");

function getSkeletons(jsonObject){
	
  if (context == null) {
      return;
  }
  if(0 == 1)
  {
  context.clearRect(0, 0, canvas.width, canvas.height);

  for (var i = 0; i < jsonObject.skeletons.length; i++) {
	var headZ = 0;
    var hipZ = 0;

    for (var j = 0; j < jsonObject.skeletons[i].joints.length; j++) 
    {
      var joint = jsonObject.skeletons[i].joints[j];
      
      // Draw!!!
      context.fillStyle = "#FF0000";
      context.beginPath();
      context.arc(joint.x, joint.y, 10, 0, Math.PI * 2, true);
      context.closePath();
      context.fill();
		
      // joint.name  values
      		//head
      		//hipleft
      
     }
	}
  }
}

              
function msgFromArduino(value){
	console.debug('From Arduino: ' + value);
}

function next() {
	console.debug('Next!');  
}

function prior() {
	console.debug('Prior');
}

function noUser(){
  console.debug('No User :(');  
  showIntroVideo();
  
//sendToArduino('0');
  
}

function newUser() {
  console.debug('New User :)');  
  hideIntroVideo();
  //sendToArduino('1');
}

function changeHandNone() {
  
  showIntroVideo();
	console.debug('Hand None');  
}

function changeHandRight() {
  hideIntroVideo();
  	console.debug('Hand Right');  
}

function changeHandLeft() {
  hideIntroVideo();
	console.debug('Hand Left');  
}

function showIntroVideo(){
  userInFront = false;
  	$('.blink_me').show()
  
  	$('#mycursor').hide();
  
    vid1.pause();
    $('#vid1').hide();
	vid2.pause();
    $('#vid2').hide();
    vid3.pause();
    $('#vid3').hide();

    vid0.load();
    vid0.play();
    $('#vid0').show();
    vid1Playing = false;  
    vid2Playing = false;
    vid3Playing = false;
  
}

function hideIntroVideo(){
  $('.blink_me').hide()
userInFront = true;
  $('#mycursor').show();
    vid0.pause();  
    $('#vid0').hide();
  
}


var userInFront = false;

var vid0 = document.getElementById("vid0"); 
var vid0Playing = false;
var vid1 = document.getElementById("vid1"); 
var vid1Playing = false;
var vid2 = document.getElementById("vid2"); 
var vid2Playing = false;
var vid3 = document.getElementById("vid3"); 
var vid3Playing = false;

var count1 = 0;
var count2 = 0;
var count3 = 0;

(function($) {
 
          $.fn.mySlider = function() {
               $('#mycursor').show();
               $('#mycursor').css("background-image", "url('http://www.clker.com/cliparts/L/a/9/2/H/N/pointer-hand-mouse-hi.png')");
               $('body').mousemove(function(e) {
                 
               if(userInFront)
               {
               
                 if(e.clientX < 780 && !vid1Playing)
                 {
                   ++count1;
                   
			       vid2.pause();
                   $('#vid2').hide();
                   vid3.pause();
                   $('#vid3').hide();
                   
                   vid1.load();
                   vid1.play();
                   $('#vid1').show();
                   vid1Playing = true;
                   vid2Playing = false;
                   vid3Playing = false;
                 }

			    if(e.clientX < 1260 && e.clientX >= 780 && !vid2Playing)
                 {
                   ++count2;
			       vid1.pause();
                   $('#vid1').hide();
                   vid3.pause();
                   $('#vid3').hide();

                   vid2.load();
                   vid2.play();
                   $('#vid2').show();
                   vid2Playing = true;
                   vid1Playing = false;
                   vid3Playing = false;
                 }

                   
                 

              if(e.clientX >= 1260 && !vid3Playing)
                 {
                   ++count3;
                   
			       vid1.pause();
                   $('#vid1').hide();
                   vid2.pause();
                   $('#vid2').hide();

                   vid3.load();
                   vid3.play();
                   $('#vid3').show();
                   vid3Playing = true;
                   vid1Playing = false;
                   vid2Playing = false;
                 }

                 $('#mycursor').css('left', e.clientX - 20).css('top', e.clientY + 7);
                 
                 if(0 == 1)
                 {
                   $('h1').text(e.clientX);
                   
                 }
               
               }
               
                 
               });
            
           };
       }(jQuery));

       $(document).ready(function() {
           $("body").mySlider();
         
         showIntroVideo();
         
         if(0 == 0)
                 {
                   $('h1').hide();
                   
                 }
         
       });


